/**********************************************************/
/*                  PAGE-WIDE SETTINGS                    */
/**********************************************************/

html {
  height: 100%;
}

body {
  background-color: white;
  color: black;
  font-size: 87.5%;
  height: 100%;
  line-height: 1.125;
  margin: 0 auto;
  padding: 0;
}


/***********************************************************/
/*                      HEADERS                            */
/***********************************************************/

.chapter, .section, .subsection,
.appendix, .appendixsec, .appendixsubsec,
.unnumberedsubsubsec, .subsubheading,
.unnumbered, .subheading {
  border-bottom: 1px dashed #bbb;
  color: #204a87;
  margin: 1em 0;
  padding-bottom: 0.4em;
}

.settitle {
  background-color: #eef;
  border-bottom: 1px solid #3465A4;
  font-size: 2em;
  margin: 0.5em 0 0 0;
  padding: 0.5em;
}

.chapter {
  font-size: 1.8em;
  padding: 0.5em;
}

.section {
  font-size: 1.6em;
  padding: 0.5em;
}

.subsection {
  font-size: 1.4em;
  padding: 0.5em;
}

.unnumberedsubsubsec {
  font-size: 1.25em;
  padding: 0.5em;
}

.subsubheading {
  font-size: 1em;
  font-weight: bold;
  padding: 0.5em 1em;
}

/***********************************************************/
/*                       LINKS                             */
/***********************************************************/

a:link {
  /* color: #4169e1; */
  /* color: #3555b6; */
  color: #3465a4;
}

a:visited {
  color: #8f5902;
}

a:hover {
  color: #ce5c00;
}

a:active {
  color: #4487D7;
}

/***********************************************************/
/*                  BLOCK FORMATTING                       */
/***********************************************************/

blockquote, .smallexample {
  border: thin solid #3465a4;
  border-width: 0 0 0 2px;
  margin: 1em 0 1em 3em;
  padding: 0;
}

blockquote p, pre.smallexample {
  margin: 0;
  padding: 1em;
}

blockquote blockquote {
  border: none;
  /* border: thick red dashed; */
}

.verbatim, .example .example, .lisp {
  font-size: 1.25em;
  margin: 0;
  padding: 1em;
}

.example {
  margin: 0;
  padding: 0;
}

hr {
  display: none;
}

table.cartouche {
  background: #eee;
  border: 1px solid #3465a4;
  border-width: 0 0 0 2px;
  width: 85%;
  padding: 0 0.5em;
  margin: 1em 0 1em 3em;
}

table.cartouche p {
  padding: 1em;
  margin: 0;
}

table.cartouche td {
  border: none;
}

/***********************************************************/
/*                    MAIN CONTENT                         */
/***********************************************************/

div#main {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 25%;
  padding: 0;
  margin: 0;
  overflow: auto;
}

div#main li {
  padding: 0 1em 0.5em 0;
}

div#main ul {
  margin: 0;
}

h1, h2, h3, h4, p, table, address, dt {
  padding-left: 1em;
  padding-right: 1em;
}

p {
  margin: 1em 0;
}

th {
  text-align: left;
}

#languages {
  margin: 0;
  padding: 1em;
}

pre.menu-comment {
  font-size: 1em;
  padding-top: 1em;
  padding-bottom: 0;
  margin: 0;
}

/***********************************************************/
/*                    TOC SIDEBAR                          */
/***********************************************************/

div#tocframe {
  background-color: #F9FCFF;
  font-size: 0.83em;
  line-height: 1.4;
  list-style-type: none;
  margin: 0;
  padding: 0;
  position: absolute;
    bottom: 0;
    left: 0;
    right: 75%;
    top: 0;
  overflow: auto;
  z-index: 100;
}

/* position: fixed for savvy browsers */

@media screen {
  body > div#tocframe {
    position: fixed;
  }
}

div#tocframe h4 {
  background-color: #eef;
  border: 1px solid #3465A4;
  border-width: 0 0 1px 0;
  color: #344;
  font-size: 1.2em;
  font-weight: normal;
  height: 26px;
  margin: 0;
  padding: 8px 0 0 6px;
}

#tocframe .contents {
  background-color: transparent;
  border: none;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

#tocframe ul.toc {
  list-style-type: none;
  margin: 0;
  padding: 1em 0.5em;
}

#tocframe ul.toc ul.toc {
  margin: 0;
  padding: 0;
}

#tocframe ul.toc li {
  margin: 0;
  padding: 0;
}

#tocframe ul.toc > li {
  font-size: 1em;
}

#tocframe ul.toc li li {
  padding-left: 1em;
}

li.toc_current {
  font-style: italic;
  font-weight: bold;
}

li.toc_current ul {
  background: transparent;
  font-style: normal;
  font-weight: normal;
}


/***********************************************************/
/*                     NAVIGATION                          */
/***********************************************************/

.nav_table {
  background-color: #eef;
  border: 1px solid #3465A4;
  border-width: 0 0 1px 0;
  font-size: 0.8em;
  margin: 0;
  padding: 0;
  width: 100%;
}

div.header {
  background-color: #dde;
  margin: 0.75em 0 0 0;
}

div.header h1 {
  margin: 0;
  padding: 0.5em 0 0.5em 1em;
}

div.subheader {
  background-color: #eef;
  margin: 0;
}

div.subheader p {
  margin: 0;
  padding: 1em 0 1em 2em;
}

table#navigation {
  line-height: 1.5;
  margin: 1em 0 1em 3em;
  padding: 0;
}

table#navigation td {
  padding: 0.5em 0.75em;
}

table#navigation ul {
  margin-bottom: 1em;
  padding-left: 0.5em;
}

table .title {
  font-weight: bold;
}

.footer {
  background-color: #eef;
  border: 1px solid #3465A4;
  border-width: 0 0 1px 0;
  font-size: 0.8em;
  text-indent: 1em;
  padding: 1.5em 0;
  margin: 1em 0 0 0;
}

.footer p {
  line-height: 1.5;
  padding: 0;
  margin: 0 0.25em;
}

table.menu {
  margin: 0 0 1em;
}

/***********************************************************/
/*               OVERRIDES FOR PRINTING                    */
/***********************************************************/

@media print {
  body { padding-left: 0; font: 10pt Georgia, Garamond, serif;}
  /* Hide the sidebar: */
  #tocframe { display: none; }
  .nav_table { display: none; }
  /* Let #main expand to fill the new space */
  div#main { position: static; left: 0; }
}